RDKit: ForceFields::MMFF::MMFFCovRadPauEleCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ForceFields::MMFF::MMFFCovRadPauEleCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const MMFFCovRadPauEle * | operator() (const unsigned int atomicNum) const
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions
static MMFFCovRadPauEleCollection * | getMMFFCovRadPauEle (const std::string &mmffCovRadPauEle="")
| gets a pointer to the singleton MMFFCovRadPauEleCollection More...

## Detailed Description

Definition at line 687 of file MMFF/Params.h.

## Member Function Documentation

static MMFFCovRadPauEleCollection* ForceFields::MMFF::MMFFCovRadPauEleCollection::getMMFFCovRadPauEle | ( | const std::string & | mmffCovRadPauEle = `""` | ) |
| static

gets a pointer to the singleton MMFFCovRadPauEleCollection

Parameters

  mmffCovRadPauEle | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFCovRadPauEleCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFCovRadPauEleCollection has already been instantiated and `mmffCovRadPauEle` is empty, the singleton will be returned.
- if `mmffCovRadPauEle` is empty and the singleton MMFFCovRadPauEleCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffCovRadPauEle` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

const MMFFCovRadPauEle* ForceFields::MMFF::MMFFCovRadPauEleCollection::operator() | ( | const unsigned int | atomicNum | ) | const
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFCovRadPauEle object, NULL on failure.

Definition at line 715 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h